#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sys
%define		pnam	Load
Summary:	Sys::Load - Perl module for getting the current system load and uptime
Summary(pl.UTF-8):	Sys::Load - moduł Perla do odczytywania obciążenia systemu i uptime'u
Name:		perl-Sys-Load
Version:	0.2
Release:	8
# sae as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	370372db0ddbcde3725049157e0bc5ad
URL:		http://search.cpan.org/dist/Sys-Load/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
getload() returns 3 elements: representing load averages over the last
1, 5 and 15 minutes.  uptime() returns the system uptime in seconds.

%description -l pl.UTF-8
getload() zwraca 3 wartości, reprezentujące średnie obciążenie systemu
w ciągu ostatnich 1, 5 i 15 minut. uptime() zwraca uptime systemu w
sekundach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorarch}/Sys/*.pm
%dir %{perl_vendorarch}/auto/Sys/Load
%attr(755,root,root) %{perl_vendorarch}/auto/Sys/Load/*.so
%{perl_vendorarch}/auto/Sys/Load/*.bs
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sys-Load.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6a1d815
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e3d400
- release 7

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> af8a311
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4009378
- rel 6

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> fdcda85
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f657034
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2d135e3
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> bb542f1
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 055b67a
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> 12dc61b
- fixed perl-devel BR

* Sat May 01 2004 ankry <ankry@pld-linux.org> 8667342
- license fixed, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 95fc785
- new bconds

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 1136d5e
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> b4fd6c8
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jun 18 2003 Jakub Bogusz <qboosh@pld-linux.org> 882ed2a
- vendorarch/{,/auto}/Sys dirs moved to perl; release 5

* Wed May 28 2003 Michal Moskal <michal@moskal.me> a61cf68
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d4162c4
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 22ccd8b
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> daa31ca
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 2a6eb37
- use the __perl macro

